List an agent's versions
import requests
url = "https://app.langwatch.ai/api/v1/agents/{agentId}/versions"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/v1/agents/{agentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/agents/{agentId}/versions \
--header 'X-Auth-Token: <api-key>'{
"data": [
{
"id": "<string>",
"agentId": "<string>",
"projectId": "<string>",
"version": 123,
"name": "<string>",
"type": "signature",
"config": {},
"workflowId": "<string>",
"commitMessage": "<string>",
"authorId": "<string>",
"authorKind": "user",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"labels": [
"<string>"
]
}
],
"labels": [
{
"label": "<string>",
"version": 123
}
]
}Agents
List an agent's versions
Every version of the agent, newest first, with the labels on each.
GET
/
api
/
v1
/
agents
/
{agentId}
/
versions
List an agent's versions
import requests
url = "https://app.langwatch.ai/api/v1/agents/{agentId}/versions"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/v1/agents/{agentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/agents/{agentId}/versions \
--header 'X-Auth-Token: <api-key>'{
"data": [
{
"id": "<string>",
"agentId": "<string>",
"projectId": "<string>",
"version": 123,
"name": "<string>",
"type": "signature",
"config": {},
"workflowId": "<string>",
"commitMessage": "<string>",
"authorId": "<string>",
"authorKind": "user",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"labels": [
"<string>"
]
}
],
"labels": [
{
"label": "<string>",
"version": 123
}
]
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
The agent id.
Minimum string length:
1Last modified on November 3, 2026
Was this page helpful?